import { SimpleLocalIntegration } from '../../core/index.js';
import { IalarmConfigFlow } from './ialarm.classes.configflow.js';
import { createIalarmDiscoveryDescriptor } from './ialarm.discovery.js';
import type { IIalarmConfig } from './ialarm.types.js';
import { ialarmDomain, ialarmProfile } from './ialarm.types.js';

export class IalarmIntegration extends SimpleLocalIntegration<IIalarmConfig> {
  public readonly domain = ialarmDomain;
  public readonly discoveryDescriptor = createIalarmDiscoveryDescriptor();
  public readonly configFlow = new IalarmConfigFlow();

  constructor() {
    super(ialarmProfile);
  }
}

export class HomeAssistantIalarmIntegration extends IalarmIntegration {}
